Package com.google.android.exoplayer2.analytics

## Class PlaybackStats.EventTimeAndException

- java.lang.Object
- - com.google.android.exoplayer2.analytics.PlaybackStats.EventTimeAndException

- Enclosing class:
    PlaybackStats

      public static final class PlaybackStats.EventTimeAndException
      extends Object

  Stores an exception with the event time at which it occurred.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `AnalyticsListener.EventTime` | `eventTime` | The event time at which the exception occurred.
    `Exception` | `exception` | The exception that was thrown.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventTimeAndException​(AnalyticsListener.EventTime eventTime, Exception exception)` | Creates a new timed exception event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventTime

          public final AnalyticsListener.EventTime eventTime

      The event time at which the exception occurred.

    - #### exception

          public final Exception exception

      The exception that was thrown.

  - ### Constructor Detail

    - #### EventTimeAndException

          public EventTimeAndException​(AnalyticsListener.EventTime eventTime,
                                       Exception exception)

      Creates a new timed exception event.
      Parameters:
        `eventTime` - The event time at which the exception occurred.
        `exception` - The exception that was thrown.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`